﻿using UnityEngine;
using System.Collections;

public class MovePlayer : MonoBehaviour {

	public float moveSpeed = 1f;
	Vector2 AxisInput;

	Rigidbody rb;

	bool flipped;

	void Start (){
		rb = GetComponent<Rigidbody> ();
	}

	void Update()
	{
		Vector3 AxisInput = (new Vector3(Input.GetAxis("Horizontal"), 0f, Input.GetAxis("Vertical")));

		rb.AddForce(AxisInput * moveSpeed, ForceMode.VelocityChange );

		if (flipped && rb.velocity.x > 0.1f || !flipped && rb.velocity.x < -0.1f) {
			Flip ();
		}

	}

	void Flip (){
		Vector3 newFlip = transform.localScale;
		newFlip.x = transform.localScale.x * -1;
		transform.localScale = newFlip;
		flipped = !flipped;
	}
}
