﻿using UnityEngine;
using System.Collections;

public class MusicControl : MonoBehaviour {

	public AudioSource calmSource;
	public AudioSource actionSource;

	public bool storm;

	void Update () {
		if (storm && actionSource.volume < 1f) {
			actionSource.volume += 1f * Time.deltaTime;
		} else if (!storm && actionSource.volume > 0) {
			actionSource.volume -= 0.2f * Time.deltaTime;
		}
		if (storm && calmSource.volume > 0f) {
			calmSource.volume -= 1f * Time.deltaTime;
		} else if (!storm && calmSource.volume < 1f) {
			calmSource.volume += 0.2f * Time.deltaTime;
		}
	}
}
