﻿using UnityEngine;
using System.Collections;

public class RandomColorFromPresets : MonoBehaviour {

	public Color[] colorVariations;
	public bool assignElsewhere;
	public SpriteRenderer[] elsePlaces;

	public bool generateFromPresets = true;

	// Use this for initialization
	void Start () {
		if (generateFromPresets) {
			int randomPick = Random.Range (0, colorVariations.Length);
			GetComponent<SpriteRenderer> ().color = colorVariations [randomPick];
			if (assignElsewhere) {
				for (int i = 0; i < elsePlaces.Length; i++) {
					elsePlaces [i].color = colorVariations [randomPick];
				}
			}
		} else {
			Color newColor = new Color (Random.Range (0f, 1f), Random.Range (0f, 1f), Random.Range (0f, 1f));
			GetComponent<SpriteRenderer> ().color = newColor;
			if (assignElsewhere) {
				for (int i = 0; i < elsePlaces.Length; i++) {
					elsePlaces [i].color = newColor;
				}
			}
		}
	}

}
