﻿using UnityEngine;
using System.Collections;

public class ShelfContainedSurfBoards : MonoBehaviour {

	public int surfBoards = 5;
	public int maxSurfBoards = 10;

	public GameObject[] boardsInShelf;

	public int currentBoard;

	AudioSource sorsa;

	public AudioClip[] colSound;

	// Use this for initialization
	void Start () {
		sorsa = GetComponent<AudioSource> ();
		for (int i = 0; i < surfBoards; i++) {
			boardsInShelf [i].SetActive (true);
			currentBoard += 1;
		}
	}

	void AddBoard(){
		if (surfBoards < maxSurfBoards) {
			sorsa.pitch = Random.Range (0.75f, 1.25f);
			sorsa.PlayOneShot (colSound[Random.Range(0, colSound.Length)]);
			boardsInShelf [currentBoard].SetActive(true);
			currentBoard += 1;
			surfBoards += 1;
		}
	}

	void RemoveBoard() {
		if (surfBoards > 0) {
			currentBoard -= 1;
			boardsInShelf [currentBoard].SetActive(false);
			surfBoards -= 1;
		}
	}
}
