﻿using UnityEngine;
using System.Collections;

public class TurnTowardsMouse : MonoBehaviour {

	void Update () 
	{
		RaycastHit hit;
		Ray ray = Camera.main.ScreenPointToRay (Input.mousePosition);

		if (Physics.Raycast (ray, out hit)) {
			Vector3 hitPoint = hit.point;
			hitPoint.y = transform.position.y;
			transform.LookAt(hitPoint);
		}
	}
		
}
