﻿using UnityEngine;
using System.Collections;

public class WalkSoundThings : MonoBehaviour {

	public AudioSource sorsa;
	public AudioClip[] walkSound;
	public float walkSoundCooldown = 0.25f;
	float currentCooldown = 0f;

	// Update is called once per frame
	void Update () {
		
		if (currentCooldown <= 0f) {
			currentCooldown = walkSoundCooldown;
			sorsa.pitch = Random.Range (0.75f, 1.25f);
			sorsa.PlayOneShot (walkSound [Random.Range (0, walkSound.Length)]);
		} else {
			currentCooldown -= 1f * Time.deltaTime;
		}

		if (Input.GetAxis ("Horizontal") != 0f || Input.GetAxis ("Vertical") != 0f) {
			if (sorsa.volume != 1f) {
				sorsa.volume = 1f;
			}
		} else {
			if (sorsa.volume != 0f) {
				sorsa.volume = 0f;
			}
		}

	}
}
