﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class PickUpMoney : MonoBehaviour {

	public int money = 0;
	public Text moneyText;

	AudioSource sorsa;

	public AudioClip[] pickUpMoney;

	// Use this for initialization
	void Start () {
		sorsa = GetComponent<AudioSource> ();
		moneyText.text = "$" + money;
	}
	
	// Update is called once per frame
	void OnTriggerEnter (Collider other) {
		if (other.tag == "Money") {
			sorsa.pitch = Random.Range (0.75f, 1.25f);
			sorsa.PlayOneShot (pickUpMoney[Random.Range(0, pickUpMoney.Length)]);
			money += 25;
			moneyText.text = "$" + money;
			Destroy (other.gameObject);
		}
	}
}
